/*
  Программный пример 4.4.    Глава 4
  Программа управления яркостью светодиодов при помощи слайдеров в "WiFi Controller"
 */
String InputString="";       // строка для хранения входящих данных
String OutputString="";      // строка для хранения данных для вывода
bool FLerr = false;          // Глобальный флаг ошибки

void setup() {
  SetupESP();      // Настройка Wi-Fi модуля
  delay(200);
}

//**********************************************
void loop() {
  // ---------- Определение переменных
  char pref;             // Префикс команды
  int nomled1;           // Номер первого из пары светодиодов
  int nomled2;           // Номер второго из пары светодиодов
  int tval;              // Текущее значение параметра в команде
  bool flop = false;     // Флаг "команда получена"
  FLerr = false;         // Сброс глобального флага ошибки
  
  getCommand();                                         // Получаем команду
  pref = OutputString.charAt(0);                        // Выделяем префикс
  if(pref=='A') { nomled1=3; nomled2=5; flop=true; }
  else if(pref=='B') { nomled1=6; nomled2=9; flop=true; }
  else if(pref=='C') { nomled1=10; nomled2=11; flop=true; }
  if(flop) {
    tval = OutputString.substring(1).toInt();    // Получаем значение параметра
    analogWrite(nomled1, 255-tval);              // Выводим значение на первый светодиод пары
    analogWrite(nomled2, tval);                  // Выводим значение на второй светодиод пары
    PrintWIFI();                                 // Печать сообщения по Wi-Fi
  }
}

