/*
  Программный пример 4.4a.    Глава 4
  Программа управления яркостью светодиодов при помощи слайдеров в "WiFi Controller" c пересчетом диапазона регулирования
 */
String InputString="";       // строка для хранения входящих данных
String OutputString="";      // строка для хранения данных для вывода
bool flERR = false;          // Глобальный флаг ошибки

void setup() {
  SetupESP();            // Настройка модуля Wi-Fi
  delay(200);
}

//**********************************************
void loop() {
  char pref;             // Префикс команды
  int nomled1;           // Номер первого из пары светодиодов
  int nomled2;           // Номер второго из пары светодиодов
  int tval;              // Текущее значение параметра в команде
  bool flop = false;     // Флаг "команда получена"
  flERR = false;         // Сброс глобального флага ошибки
  
  getCommand();
  pref = OutputString.charAt(0);
  if(pref=='A') { nomled1=3; nomled2=5; flop=true; }
  else if(pref=='B') { nomled1=6; nomled2=9; flop=true; }
  else if(pref=='C') { nomled1=10; nomled2=11; flop=true; }
  if(flop) {
    tval = OutputString.substring(1).toInt();
    analogWrite(nomled1, rediap(255-tval));
    analogWrite(nomled2, rediap(tval));
    PrintWIFI();
  }
}

//**********************************************
int rediap(int ival) {
  return 170 + ival/3;   // Возврат пересчитанного значения
}

