/*
  Программный пример 6.3.    Глава 6
  Обмен информацией по Wi-Fi
*/
#include <ESP8266WiFi.h>
const char* ssid = "MyWiFi";         // Имя домашней Wi-Fi сети
const char* pass = "РarolMyWiFi";    // Пароль для доступа к сети       
const int port = 8888;               // Номер порта TCP сервера
WiFiServer server(port);
void SetupSTA();

//**********************************
void setup() {
  Serial.begin(115200);    // Настройка последовательного канала
  Serial.println();        // Вывод символов перевода строки
  SetupSTA();              // Настройка Wi-Fi и подключение к сети
}

//**********************************
void loop() {
  WiFiClient client = server.available();  // Создать Клиент и подключить к серверу
  if (client) {                            // Если клиент был создан
    if(client.connected()) {               // подключем его и если удачно то
      Serial.println("Client Connected");  // Сообщить "Клиент подключен"
    }
    // ---------------------------- Обмен данными
    while(client.connected()) {            // Пока слиент подключен 
      while(client.available()>0) {        // и если буфер клиента не пуст
        Serial.write(client.read());       // читаем из клиента и печатаем в послед.канал serial
      }
      while(Serial.available()>0) {        // Если буфер последовательного порта не пуст
        client.write(Serial.read());       // читаем из полед.канала и печатаем в клиент
      }
    }
    client.stop();                         // Отключаем клиент
    Serial.println("Client disconnected"); // Сообщаем что клиент отключен
  }
}

